Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 18.07.2013, 17:42  postituse pealkiri:  Internal Server Error ühe kliendi veebiga!?[LAHENDATUD]  

Nagu öeldakse siis tegijatel ikka juhtub, kui ei tee siis ei juhtu ka Smile

Lugu järgmine taas, serveris Debian 7 64bit kus jookseb siis veebiserver oma jubinatega nin millele on lisaks paigaldatud ISPconfig-3+whcms mis omakorda nõudis ennem paigaldust ka ioncube_loader.

Kõik kenasti paigaldatud ja klientide veebid rõõmsalt kõik töötavad nii kuis vaja juba pikemat aega. Hetkel on probleem ühe kliendiga ja tema veeb annab "Internal Server Error" erruri...

Ise otseselt ja teadlikult pole ma midagi surkinud serveris. Umbes ~2h tagasi üritasin paigaldada multicrafti ja sellega sain errori. Teema selle jamaga asub SIIN

Eriti ise küll ei taha uskuda, et see nuid mõjutas seda asja... siis oleks ka teised veebid maas ehk erroriga

Apache error.log näitab sellist juttu:
Kood:

[Thu Jul 18 18:08:29 2013] [error] [client 90.191.86.8] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:08:29 2013] [error] [client 90.191.86.8] Premature end of script headers: index.php
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
[Thu Jul 18 18:09:04 2013] [error] [client 90.191.86.8] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:09:04 2013] [error] [client 90.191.86.8] Premature end of script headers: index.php
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
[Thu Jul 18 18:10:03 2013] [error] [client 127.0.0.1] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:10:03 2013] [error] [client 127.0.0.1] Premature end of script headers: index.php
[Thu Jul 18 18:14:12 2013] [error] [client 90.191.86.8] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:14:12 2013] [error] [client 90.191.86.8] Premature end of script headers: index.php
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
[Thu Jul 18 18:14:38 2013] [error] [client 90.191.86.8] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid, referer: http://domen.org/
[Thu Jul 18 18:14:38 2013] [error] [client 90.191.86.8] Premature end of script headers: index.php, referer: http://domen.org/
[Thu Jul 18 18:15:04 2013] [error] [client 127.0.0.1] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:15:04 2013] [error] [client 127.0.0.1] Premature end of script headers: index.php
[Thu Jul 18 18:18:44 2013] [error] [client 90.191.86.8] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Thu Jul 18 18:18:44 2013] [error] [client 90.191.86.8] Premature end of script headers: index.php


Need viiamsed logid tekitasin ise just ennem logi uurimist... läksin lehele ja refreshisin seda mõned korrad, et tekitada logi. Nagu ma oma lambapeaga aru saan siis vist kurja juur on see ioncube_loader?

Paluksin siis abi kuidas taastada see veebilehe kuvamine või parandada see errur ilma, et midagi "pöörast" tegema peaks ...loomulikult kui see on võimalik Rolling Eyes

-E- uurisin seda ioncube errorit ja käisin läbi sellise õpetuse kuid seegi ei andnud tulemusi.
Kood:

Install Ioncube for Debian “squeeze”/x86_64, login with putty and:
1. wget http://downloads2.ioncube.com/loader_dow...-64.tar.gz ( link = downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz )
2. tar zxvf ioncube_loaders_lin_x86-64.tar.gz
3. mv ioncube/ioncube_loader_lin_5.3.so /usr/lib/php5/20090626/
4.create : ioncube.ini
vi /etc/php5/conf.d/ioncube.ini
5.copy and paste this line
zend_extension = /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so
6. /etc/init.d/apache2 restart
8. php -v
9.there was an error with ioncube_loader_lin_5.4.so:


Ja kui uurida # php -v siis jutt selline
Kood:

# php -v
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cli/conf.d/ming.ini on line 1 in Unknown on line 0
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/idn.so' - /usr/lib/php5/20100525/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/newrelic.so' - /usr/lib/php5/20100525/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.4.4-14+deb7u3 (cli) (built: Jul 17 2013 14:54:08)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies


-E-
Saidile sain pildi nüüd ette ja wordpress osa toimib kenasti, hetkel puudub ligipääs WHMCS osale(valge leht tuleb aint ette). Olukorra lahendas PHP5.4 to PHP5.5 upgrade. Nii palju kui mina guugel-muugeldasin seda asja igatepidi siis räägiti palju PH5.4 vigasusest.
Nüüd tuleb uurida ja puurida kuda WHMCS-ile pilt ette saada.




Viimati muutis -IFFI- 24.07.2013, 05:59; muudetud 1 kord
obundra
Vana Pingviin
Vana Pingviin


Vanus: 45
Liitunud: 04.08.2005
Postitused: 1213
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 19.07.2013, 11:35  postituse pealkiri:  (teema puudub)  

Failis /etc/php5/cli/conf.d/ming.ini asenda esimese rea ees trellid semikooloniga, siis peaks üks hoiatus vähem tulema.
Kood:
zend_extension = /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so
 6. /etc/init.d/apache2 restart
 8. php -v
 9.there was an error with ioncube_loader_lin_5.4.so:

ioncube_loader_lin_5.3.so vs. ioncube_loader_lin_5.4.so?
Kas see on su oma masinast saadud väljund või juhendist pärit?
Kas need failid mille kohta errorit annab on /usr/lib/php5/20100525/ kataloogis olemas?
Mida ütleb php-v peale php uuendust?

_________________
IT teenused

-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 19.07.2013, 12:43  postituse pealkiri:  (teema puudub)  

obundra kirjutas:
Failis /etc/php5/cli/conf.d/ming.ini asenda esimese rea ees trellid semikooloniga, siis peaks üks hoiatus vähem tulema.
Kood:
zend_extension = /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so
 6. /etc/init.d/apache2 restart
 8. php -v
 9.there was an error with ioncube_loader_lin_5.4.so:

ioncube_loader_lin_5.3.so vs. ioncube_loader_lin_5.4.so?
Kas see on su oma masinast saadud väljund või juhendist pärit?
Kas need failid mille kohta errorit annab on /usr/lib/php5/20100525/ kataloogis olemas?
Mida ütleb php-v peale php uuendust?


Kõik info pärineb ikka selles masinast kus see probleem on selle WHMCS kuvamisega(valge leht ees) kliendi wordpressile sain pildi ette ehk siis selle 500ERROR-ist sain lahti.

PHP on uuendatud 5.4 to 5.5

hetkel siis on PHP -V väljund
Kood:

# php -v
Failed loading /usr/local/ioncube/ioncube_loader_lin_5.3.so:  /usr/local/ioncube/ioncube_loader_lin_5.3.so: wrong ELF class: ELFCLASS32
Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: execute
Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220121212 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/idn.so' - /usr/lib/php5/20121212/idn.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/ming.so' - /usr/lib/php5/20121212/ming.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/newrelic.so' - /usr/lib/php5/20121212/newrelic.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/ps.so' - /usr/lib/php5/20121212/ps.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.5.0-1~dotdeb.1 (cli) (built: Jun 20 2013 12:55:16)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.5.0-dev, Copyright (c) 1998-2013 Zend Technologies
    with Zend OPcache v7.0.2-dev, Copyright (c) 1999-2013, by Zend Technologies

failid (idn.so, ming.so, newerlic.so, ps.so) puuduvad jah sealt /usr/lib/php5/20121212/ kataloomast. Kuidas või kust ma saan need vailid sinna? Saaks juba 4 errorit vähemaks ja jääks see ioncube veel lahendada.

Aru ma ei sa sellest errorist
Kood:

Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: undefined symbol: execute

undefined sümbol. Võtsin faili nanoga lahti ja seal on @ ja muud sellised märgid aint...kus kurat sealt aru saada milline sümbol on vale Razz


obundra
Vana Pingviin
Vana Pingviin


Vanus: 45
Liitunud: 04.08.2005
Postitused: 1213
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 19.07.2013, 14:11  postituse pealkiri:  (teema puudub)  

/usr/local/ioncube/ioncube_loader_lin_5.3.so: wrong ELF class: ELFCLASS32
Kui selle käsitsi paigaldasid, siis ilmselt 32bitise.
Need ülejäänud errorid tulevad ilmselt sellest, et need php extensionid on paigaldamata või on konfis vale tee.
Proovi nad uuesti installida:
Kood:
pecl install ids
pecl install ps
pecl install ming

Ja newrelic tuleb ilmselt eraldi installida kui apt-get kaudu ei saa, https://newrelic.com/docs/php/php-agent-installation-ubuntu-and-debian

_________________
IT teenused

laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 19.07.2013, 14:52  postituse pealkiri:  (teema puudub)  

ionCube kodulehel on tekst, et toetab PHP-versioone 4-st kuni 5.4 -i:

"...PHP versions from PHP 4 up to PHP 5.4"

vististi tuleks oodata kuni sellest encoder-ist ilmub uuem versioon või siis teha PHP downgrade 5.4 versioonile.


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 19.07.2013, 15:56  postituse pealkiri:  (teema puudub)  

Ei saa enam PHP-d maha.....mõtlesin et lasen php 5.3 näiteks peale mingid asjad PHP-st sain maha dpkg --purge <pakettinimi>
ilmselt on miskid kila-kola veel peal, et ei õnnestu installida.

Proovisin ka seda purge käsuga eemaldada aga vastus selline
Kood:

# dpkg --purge php5-common
dpkg: dependency problems prevent removal of php5-common:
 php5-cli sõltub pakist php5-common (= 5.5.0-1~dotdeb.1).

dpkg: error processing php5-common (--purge):
 sõltuvusprobleemid - ei eemaldata
Järgnevate pakkide töötlemisel tekkisid vead:
 php5-common



Ja kui üritan installida uuesti sisi väljund siuke
Kood:

# apt-get install php5 libapache2-mod-php5
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libapache2-mod-php5 : Depends: php5-common (= 5.4.4-14+deb7u3) but 5.5.0-1~dotdeb.1 is to be installed
E: Unable to correct problems, you have held broken packages.


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 19.07.2013, 16:03  postituse pealkiri:  (teema puudub)  

Tegelikult peaks võimalik olema mitu PHP versiooni paigaldada ning siis vastaval kliendil vanem versioon aktiveerida.

Märksõnad otsingusse: multiple php versions


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 19.07.2013, 17:55  postituse pealkiri:  (teema puudub)  

Ei hakka veel nii keeruliseks ajama Very Happy PHP sain downgradetud imemoodi ja nüüd siis PHP 5.4...üritan kuidagi nikerdada uuesti peale selle IonCube ja Zend Optimizer-i

Eelmise IonCube lasin sellise õpetuse järgi peale
Kood:

1. wget http://downloads2.ioncube.com/loader_dow...-64.tar.gz ( link = downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz )
2. tar zxvf ioncube_loaders_lin_x86-64.tar.gz
3. mv ioncube/ioncube_loader_lin_5.3.so /usr/lib/php5/20090626/
4.create : ioncube.ini
vi /etc/php5/conf.d/ioncube.ini
5.copy and paste this line
zend_extension = /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so
6. /etc/init.d/apache2 restart


Kõige lollakam ongi see, et ei mäleta enam ise ka täpselt mis juhtus, et see üks kliendi leht kus siis kasutusel WHMCS on just maas. Teised toimivad OK.
Mäletamist mööda aint üritasin multicrafti installida. Pärast PHP uuendamist sain selle tööle aga nüüdseks on ka see sealt serverist eemaldatud.

Nüüd pärast PHP downgrade on kadunud ka need probleemid
Kood:

pecl install ids
pecl install ps
pecl install ming


Eks murran nuid veel pead ja üritan kuidagi need
newrelic
Zend Optimizer
IonCube
uuesti peale saada ning loodan, et need lahendavad probleemid. Smile

-E-

Sain küll hea juhendi kuidas IonCube eemaldada ja taas paigaldada kuid sellest pole kasu kuna saidil on 500 Internal Server Error. Mõni aeg tagasi oli leht kenasti ees kuid nüüd taas on see error...kas tõesti mõjutas seda PHP vahetus Confused

Juhend selline
Kood:

Completely removing ionCube from your server can be achieved by following these instructions:

- Download the Loader Wizard (http://www.ioncube.com/loader-wizard/loader-wizard.zip
) and extract the PHP file to your server.
- Open the Loader Wizard through your web browser, and at the bottom of the page, click on "additional".
- Delete the .so file shown next to the "Loader is at:" field.
- Browse to where "INI DIR is:" is located, and remove at the ini files. Delete only the line of code beginning with "zend_extension" that references the .so file location from the previous step.
- Restart your server to finish uninstallation.

Once the loader has been uninstalled, re-open the Loader Wizard, which will be able to give you instructions on reinstalling properly.

Nokk kinni-saba lahti :@

-E-
Minu mõistus on täiega otsas nüüd, miljon korda üritanud seda IonCube paigaldada ja eemaldada aga ikka on pilt järgmine...muud asjad on jonksus ...
Kood:

# php -v
Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

Failed loading /usr/local/ioncube/ioncube_loader_lin_5.4.so:  /usr/local/ioncube/ioncube_loader_lin_5.4.so: wrong ELF class: ELFCLASS32
Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so:  /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: cannot open shared object file: No such file or directory
Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

PHP 5.4.4-14+deb7u3 (cli) (built: Jul 17 2013 14:54:08)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies


Aru ma ei saa kuidas ta saab väita või kus ta võtab sellise jutu ----> Failed loading /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so: cannot open shared object file: No such file or directory

Laadisin alla käsitsi sellise junni htp://www.ioncube.com/early_access/phpd-4.1-libs-linux_x86_64-glibc2.3.4.tgz (peaks nagu olema minu arusaamiste järgi 64bit)
Pakkisin lahti ja uppisin faili "ioncube_loader_lin_5.4.so" kaustadesse /usr/local/ioncube(siin on ioncube kõik versionid) ja /usr/lib/php5/20090626/

a tema tututab mulle ikka versioonist 5.3.... Evil or Very Mad

-E-(laupäev 20 juuli)
Avastasin, et kui index.html on /var/www kataloomas siis selle sisu kuvatakse. Aga kui on index.php siis tuleb ette see INTERNAL SERVER ERROR

error.log
Kood:

[Sat Jul 20 11:09:47 2013] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Sat Jul 20 11:09:47 2013] [notice] suEXEC mechanism enabled (wrapper: /usr/lib/apache2/suexec)
[Sat Jul 20 11:09:47 2013] [notice] Digest: generating secret for digest authentication ...
[Sat Jul 20 11:09:47 2013] [notice] Digest: done
[Sat Jul 20 11:09:47 2013] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Sat Jul 20 11:09:47 2013] [notice] Apache/2.2.22 (Debian) DAV/2 mod_fcgid/2.3.6 mod_ruby/1.2.6 Ruby/1.8.7(2012-02-08) mod_ssl/2.2.22 OpenSSL/1.0.1e configured -- resuming normal operations
[Sat Jul 20 11:09:53 2013] [error] [client 5.135.178.42] File does not exist: /var/www/bilgi_tamamla.php
[Sat Jul 20 11:10:01 2013] [error] [client 127.0.0.1] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Sat Jul 20 11:10:01 2013] [error] [client 127.0.0.1] Premature end of script headers: index.php
[Sat Jul 20 11:10:01 2013] [error] [client 127.0.0.1] SoftException in Application.cpp:350: UID of script "/var/www/index.php" is smaller than min_uid
[Sat Jul 20 11:10:01 2013] [error] [client 127.0.0.1] Premature end of script headers: index.php


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 20.07.2013, 14:20  postituse pealkiri:  (teema puudub)  

"Failed loading ioncube 5.3" - kuskil PHP ini-failis selle laadimine veel sees (kustutamise asemel võiks esmalt selle rea välja kommenteerida ja siis Apachet taaskäivitada).

"5.4 wrong elf class" tuleb sellest, et 64bitisel masinal üritad käivitada 32-st loaderit.

ja see "UID is smaller" tekib seetõttu, et www-faile liigutatud/muudetud root-kasutajana

(vähemalt nõnda saan google abiga neist veateadetest aru)


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 20.07.2013, 15:34  postituse pealkiri:  (teema puudub)  

Nüüdseks asjalood nii kaugel, et erroreid enam ei ole PHP -V väljund selline siis hetkel
Kood:

php -v
Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

Zend Guard Loader requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Guard Loader.

PHP Warning:  Module 'ionCube Loader' already loaded in Unknown on line 0
The ionCube PHP Loader is disabled because of startup problems.
PHP 5.4.17-1~dotdeb.1 (cli) (built: Jul  6 2013 16:20:31)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies
    with the ionCube PHP Loader v4.4.1, Copyright (c) 2002-2013, by ionCube Ltd., and


See Zend Engine API uusim version ei mõjuta enam midagi ja see pole ka oluline teade. See ei mõjuta masina tööd.
Kas see on miski jama või mida see endast kujutab-kuidas fix-ida?
Kood:

PHP Warning:  Module 'ionCube Loader' already loaded in Unknown on line 0
The ionCube PHP Loader is disabled because of startup problems.


Lõptulemus on siis ikkagi, et 1.5 päeva keppinud ja googeldanud(pole vist enam sellist lehtegi kus ma pole käinud), teinud miljon paketide eemaldamist ja paigaldamist, triljon korda masinat rebootinud ja WHAT A FUCK.... Ikka on INTERNAL SERVER ERROR Evil or Very Mad Evil or Very Mad Evil or Very Mad

Lootus on nuid jäänud, et ehk toob lahenduse see
Tsitaat:
"UID is smaller" tekib seetõttu, et www-faile liigutatud/muudetud root-kasutajana

...et siis kuidas asja kontrollida ja parandada???

ls -l /var/www väljund
Kood:

ls -l /var/www
kokku 184
drwxr-xr-x  2 ispapps ispapps  4096 juuni 20 18:26 apps
drwxr-xr-x 15 root    root     4096 juuli  8 20:48 client
drwxr-xr-x  7 root    root     4096 juuli 20 08:57 clients
drwxr-xr-x  3 root    root     4096 juuni 24 18:29 conf
-rw-r--r--  1 root    root    14223 juuli 14 12:36 favicon.ico
lrwxrwxrwx  1 root    root       30 juuli  2 16:32 domain.info -> /var/www/clients/client5/web4/
-rw-r--r--  1 root    root      206 juuli 20 11:20 index.html
-rw-r--r--  1 root    root      395 juuli 14 10:53 index.php
drwxr-xr-x  2 root    root     4096 juuli 19 21:15 ioncube
lrwxrwxrwx  1 root    root       34 juuni 20 18:27 ispconfig -> /usr/local/ispconfig/interface/web
drwxr-xr-x  9 root    root     4096 juuli 20 08:54 php-fcgi-scripts
-rw-r--r--  1 root    root       20 juuli 18 20:38 phpinfo.php
drwxr-xr-x  7 root    root     4096 juuli 20 09:15 phpMemcachedAdmin
lrwxrwxrwx  1 root    root       30 juuli  4 18:34 domain.co -> /var/www/clients/client7/web6/
lrwxrwxrwx  1 root    root       30 juuli 14 19:51 domain.tk -> /var/www/clients/client5/web8/
lrwxrwxrwx  1 root    root       30 juuli  2 13:18 domain.org -> /var/www/clients/client4/web3/
-rwxrwxrwx  1 root    root        0 juuli 19 21:17 robots.txt
lrwxrwxrwx  1 root    root       30 juuni 20 19:56 domain.tk -> /var/www/clients/client1/web1/
drwxr-xr-x  2 root    root     4096 juuli 20 06:26 webalizer
lrwxrwxrwx  1 root    root       24 juuni 20 18:22 webmail -> /usr/share/squirrelmail/
-rw-r--r--  1 root    root     4663 juuli 14 10:53 wp-activate.php
drwxr-xr-x  9 root    root     4096 juuli 14 10:55 wp-admin
-rw-r--r--  1 root    root      271 juuli 14 10:53 wp-blog-header.php
-rw-r--r--  1 root    root     3522 juuli 14 10:53 wp-comments-post.php
-rw-r--r--  1 root    root     3173 juuli 14 12:21 wp-config.php
drwxr-xr-x  5 root    root     4096 juuli 14 12:55 wp-content
-rw-r--r--  1 root    root     2718 juuli 14 10:53 wp-cron.php
drwxr-xr-x  9 root    root     4096 juuli 14 10:58 wp-includes
-rw-r--r--  1 root    root     1997 juuli 14 10:53 wp-links-opml.php
-rw-r--r--  1 root    root     2408 juuli 14 10:53 wp-load.php
-rw-r--r--  1 root    root    29217 juuli 14 10:53 wp-login.php
-rw-r--r--  1 root    root     7723 juuli 14 10:53 wp-mail.php
-rw-r--r--  1 root    root     9899 juuli 14 10:53 wp-settings.php
-rw-r--r--  1 root    root    18219 juuli 14 10:53 wp-signup.php
-rw-r--r--  1 root    root     3700 juuli 14 10:53 wp-trackback.php
-rw-r--r--  1 root    root     2719 juuli 14 10:53 xmlrpc.php





Viimati muutis -IFFI- 20.07.2013, 18:36; muudetud 2 korda
laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 20.07.2013, 15:54  postituse pealkiri:  (teema puudub)  

Module 'ionCube Loader' already loaded - peaks tähendama, et toda ionCube on juba korra laetud ja teiskordsel laadimisel keelatakse mõlemad versioonid?

Tuleks uurida
/etc/php5/
alamkaustades ini-faile, et kus need ionCube 5.3/5.4-d topelt on...

ning selle UID... parandamisest on juttu mu eelmises postituses toodud lingil.


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 20.07.2013, 15:59  postituse pealkiri:  (teema puudub)  

Okei, aga kes selle omanik peaks olema?

Hetkel tegin

Kood:
chown -R root:root /var/www
chown -R www-data:www-data /var/www


Ja nuid on kõikide klientide veebid INTERNAL SERVER ERROR Very Happy

Jah selle topelt laadimise googeldasin ka ise juba välja


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 20.07.2013, 16:14  postituse pealkiri:  (teema puudub)  

Omanik peaks olema kasutaja login.

Varukoopiad, ma loodan, on sul käepärast? ehk saab sealt piiluda?


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 20.07.2013, 16:34  postituse pealkiri:  (teema puudub)  

Mina ei suuda enam...

vaatasin teises serveris on "root" /var/www omanik muutsinsiis selles ka

Kood:
chown -R root:root /var/www ja chmod 0755 /var/www


Nüüd on erroriks
ERROR 503 - Service Unavailable!

Järjest rohkem ma surgin siis hulemaks läheb. Pea aegu oli juba OK Very Happy

Mina igaljuhul loobun...no ei suuda enam, ajud tossavada juba. Kas on keegi mõistliku summa eest asja korda tegema või lasen serveri re-installi.


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 20.07.2013, 18:26  postituse pealkiri:  (teema puudub)  

http://www.pingviin.org/fpost76194.html#76190

selle /var/www faililoetelu esimese kausta omanik pole root:
Tsitaat:
drwxr-xr-x 2 ispapps ispapps 4096 juuni 20 18:26 apps


ja vbl alamkaustades ka teised kasutajad/grupid/õigused?


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 20.07.2013, 18:47  postituse pealkiri:  (teema puudub)  

Selle omanik peaks olema ISPconfig ja need domain kausatd ja clients kuuluvad ka ISPconfig-ule kuna läbi ISPconfig paneeli on loodud uus klient ning see loob ise vajalikud kaustad sinna www katalooma.

Backupid on olemas jah...eks proovin veel ennem re-installi maha lasta kõik apache, ja php, ispconfig ning need uuesti paigaldada. Peaks saama ka ju nii õigustega asja tegelt korda???

Kes kurat nüüd enam teab millisel kasutal millised õigused ja kuhu gruppi kuulus.


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 20.07.2013, 18:59  postituse pealkiri:  (teema puudub)  

Tjahh.. ma hoian parem "moka maas", et mitte seda segadust suurendada Neutral


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 20.07.2013, 19:16  postituse pealkiri:  (teema puudub)  

Ega siin enam midagi hullemaks minna enam ei anna Razz Very Happy

ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)

...et siis vajalikud failid alla sikutada ja veidi julmalt proovida masinat retsida...lõhnab juba jah reinstalli järgi Very Happy Very Happy

Vot mis võib teha üks distro upgrade kui ikak süsteemi hästi ei tunne Very Happy

MySqli sain käima aga õigused ikka paigast ära.

Oskab keegi anda kavala nipi kuidas saaks eemaldatud kiirelt php, apache, mysqli, ispconfigu...

Prooviks ennem reinstalli ära uuesti peale paneku.


terat
Uus kasutaja
Uus kasutaja



Liitunud: 08.04.2010
Postitused: 10


blank.gif
postituspostitatud: 20.07.2013, 22:08  postituse pealkiri:  (teema puudub)  

Kui sa võtad /var/clients siis sa näed ära, mis peaks olema õiguste grupp. Mul ntx. client15 vastab web18. Õigused Group client 15, owner 18 ja hetkel kui vaatan õigustekogum 751. Mul hetkel täiesti töötav ISPconfig püsti, aga ioncube'i ei kasuta aga ehk saab millegagi kasulik olla.

PS: Ürita oma server virtuaalsele kujule saada, saad iga enne muudatust sekunditega snapshoti teha ja taastada sekunditega endisele kujule.


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 21.07.2013, 06:59  postituse pealkiri:  (teema puudub)  

Sai proovitud
Kood:

chown -R client5:web4 /var/www/clients/client5
chown -R client5:web4 /var/www/clients/client5/web4
chown -R client5:web4 /var/www/clients/client5/web4
chown -R client5:web4 /var/www/domain

ja samamoodi

Chmod 0751 kõigile


aga abi mitte midagi, seis ikka sama.

Aga räägi kuidas see virtuaalseks tegemine käib? See oleks küll tore värk.

Ma igaljuhul katsetan nüüd kõik tarkvara re-installida...(pole lihtsalt aega oodata lahendust nädalaid)


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group